Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.tapestry5.internal.antlr
Class BaseLexer

    java.lang.Object
      org.antlr.runtime.BaseRecognizer
          org.antlr.runtime.Lexer
              org.apache.tapestry5.internal.antlr.BaseLexer

All Implemented Interfaces:
  org.antlr.runtime.TokenSource

Direct Known Subclasses:
  PropertyExpressionLexer

    public abstract class BaseLexer

extends org.antlr.runtime.Lexer

Field Summary

Fields inherited from class org.antlr.runtime.Lexer
`input`

Fields inherited from class org.antlr.runtime.BaseRecognizer
`DEFAULT_TOKEN_CHANNEL, HIDDEN, INITIAL_FOLLOW_STACK_SIZE, MEMO_RULE_FAILED, MEMO_RULE_UNKNOWN, NEXT_TOKEN_RULE_NAME, state`

Constructor Summary
`protected` | `BaseLexer()`
`protected` | `BaseLexer(org.antlr.runtime.CharStream charStream, org.antlr.runtime.RecognizerSharedState recognizerSharedState)`

Method Summary
`void` | `reportError(org.antlr.runtime.RecognitionException e)`
`protected void` | `stripLeadingPlus()`

Methods inherited from class org.antlr.runtime.Lexer
`emit, emit, getCharErrorDisplay, getCharIndex, getCharPositionInLine, getCharStream, getErrorMessage, getLine, getSourceName, getText, match, match, matchAny, matchRange, mTokens, nextToken, recover, reset, setCharStream, setText, skip, traceIn, traceOut`

Methods inherited from class org.antlr.runtime.BaseRecognizer
`alreadyParsedRule, beginResync, combineFollows, computeContextSensitiveRuleFOLLOW, computeErrorRecoverySet, consumeUntil, consumeUntil, displayRecognitionError, emitErrorMessage, endResync, failed, getBacktrackingLevel, getCurrentInputSymbol, getErrorHeader, getGrammarFileName, getMissingSymbol, getNumberOfSyntaxErrors, getRuleInvocationStack, getRuleInvocationStack, getRuleMemoization, getRuleMemoizationCacheSize, getTokenErrorDisplay, getTokenNames, match, matchAny, memoize, mismatchIsMissingToken, mismatchIsUnwantedToken, pushFollow, recover, recoverFromMismatchedSet, recoverFromMismatchedToken, setBacktrackingLevel, toStrings, traceIn, traceOut`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BaseLexer

    protected BaseLexer()

### BaseLexer

    protected BaseLexer(org.antlr.runtime.CharStream charStream,
                        org.antlr.runtime.RecognizerSharedState recognizerSharedState)

Method Detail

### stripLeadingPlus

    protected void stripLeadingPlus()

### reportError

    public void reportError(org.antlr.runtime.RecognitionException e)

  Overrides:
    `reportError` in class `org.antlr.runtime.Lexer`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2012 The Apache Software Foundation.